#pragma once


class InteractiveMeshControl : public CDialog
{
	DECLARE_DYNAMIC(InteractiveMeshControl)

public:
	InteractiveMeshControl(CWnd* pParent = NULL);   // standard constructor
	virtual ~InteractiveMeshControl();


  void SetCustomMesh(UWBD3D_PrimitiveMeshCustom *c);
  
// Dialog Data
	enum { IDD = IDD_INTERACTIVE_MESH_CONTROL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog(); 

  void InitializeControl(int res);
  void InitializeCVPos();


	DECLARE_MESSAGE_MAP()

  UWBD3D_PrimitiveMeshCustom    *m_CustomMesh;

public:
  BOOL m_ShowNormal;
  BOOL m_ShowControlGrid;
  afx_msg void OnBnClickedMeshNormal();
  afx_msg void OnBnClickedControlGrid();
  UWBMFC_SliderCtrlWithEcho m_RowSlider;
  UWBMFC_SliderCtrlWithEcho m_ColSlider;
  UWBMFC_SliderCtrlWithEcho m_PosXSlider;
  UWBMFC_SliderCtrlWithEcho m_PosYSlider;
  UWBMFC_SliderCtrlWithEcho m_PosZSlider;
  afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
};

